Module java.management
Package javax.management.relation

## Class RelationServiceNotRegisteredException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.management.JMException
      - - javax.management.relation.RelationException
        - - javax.management.relation.RelationServiceNotRegisteredException

All Implemented Interfaces:
  `Serializable`

    public class RelationServiceNotRegisteredException
    extends RelationException

This exception is raised when an access is done to the Relation Service and that one is not registered.

Since:
  1.5
See Also:
  Serialized Form

### Constructor Summary

Constructors
`RelationServiceNotRegisteredException()` Default constructor, no message put in exception.
`RelationServiceNotRegisteredException​(String message)` Constructor with given message put in exception.

### Method Summary

### Methods declared in class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### RelationServiceNotRegisteredException

    public RelationServiceNotRegisteredException()

Default constructor, no message put in exception.

#### RelationServiceNotRegisteredException

    public RelationServiceNotRegisteredException​(String message)

Constructor with given message put in exception.

Parameters:
  `message` - the detail message.